Lintian::Tag(3)

NAME
Lintian::Tag - Lintian interface to tag metadata

SYNOPSIS
    my $tag = Lintian::Tag->new;

DESCRIPTION
This module provides an interface to tag metadata as gleaned from the *.desc files describing the checks. It can be used to retrieve specific metadata elements or to format the tag description.

INSTANCE METHODS

name
visibility
check
name_spaced
show_always
experimental
explanation
see_also
renamed_from
profile
load(PATH)
    Loads a tag description from PATH.

code()
    Returns the one-letter code for the tag. This will be a letter chosen from "E", "W", "I", or "P", based on the tag visibility, and other attributes (such as whether experimental is set). This code will never be "O" or "X"; overrides and experimental tags are handled separately.

AUTHOR
Originally written by Russ Allbery <rra@debian.org> for Lintian.

SEE ALSO
lintian(1)